Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Private Attributes
ArgusSamples::EventThread Class Reference

EventThread is created by task object. More...

`#include <EventThread.h>`

List of all members.

## Public Member Functions

| EventThread (Argus::CaptureSession *session, Argus::EventQueue *eventQueue, PerfTracker *perfTracker)
virtual | ~EventThread ()

## Protected Member Functions

virtual bool | threadInitialize ()
virtual bool | threadExecute ()
virtual bool | threadShutdown ()

## Private Attributes

Argus::CaptureSession * | m_session
Argus::UniqueObj < Argus::EventQueue > | m_eventQueue
PerfTracker * | m_perfTracker

## Detailed Description

EventThread is created by task object.

It is given a session and event queue. A new thread is generated to keep querying events from the session. It does some analysis and pass info to perfTracker.

Definition at line 45 of file EventThread.h.

## Constructor & Destructor Documentation

ArgusSamples::EventThread::EventThread | ( | Argus::CaptureSession * | session,
|  | Argus::EventQueue * | eventQueue,
|  | PerfTracker * | perfTracker
| ) |  |

explicit

Definition at line 36 of file EventThread.cpp.

ArgusSamples::EventThread::~EventThread | ( |  | ) |

virtual

Definition at line 45 of file EventThread.cpp.

## Member Function Documentation

bool ArgusSamples::EventThread::threadExecute | ( |  | ) |

protectedvirtual

Definition at line 54 of file EventThread.cpp.

bool ArgusSamples::EventThread::threadInitialize | ( |  | ) |

protectedvirtual

Definition at line 49 of file EventThread.cpp.

bool ArgusSamples::EventThread::threadShutdown | ( |  | ) |

protectedvirtual

Definition at line 108 of file EventThread.cpp.

## Member Data Documentation

Argus::UniqueObj<Argus::EventQueue> ArgusSamples::EventThread::m_eventQueue

private

Definition at line 60 of file EventThread.h.

PerfTracker* ArgusSamples::EventThread::m_perfTracker

private

Definition at line 61 of file EventThread.h.

Argus::CaptureSession* ArgusSamples::EventThread::m_session

private

Definition at line 59 of file EventThread.h.

The documentation for this class was generated from the following files:

- modules/EventThread.h
- modules/EventThread.cpp